HTMLEditorSkin.Command (JavaFX 27)
Description: declaration: module: javafx.web, package: javafx.scene.web, class: HTMLEditorSkin, enum: Command

# Enum Class HTMLEditorSkin.Command

java.lang.Object
java.lang.Enum<HTMLEditorSkin.Command>
javafx.scene.web.HTMLEditorSkin.Command

All Implemented Interfaces:
  `Serializable, Comparable<HTMLEditorSkin.Command>, Constable`

Enclosing class:
  `HTMLEditorSkin`

public static enum HTMLEditorSkin.Command extends Enum<HTMLEditorSkin.Command>
Represents commands that can be passed into the HTMLEditor web engine.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALIGN_CENTER`
  Align Center command.
  `ALIGN_JUSTIFY`
  Align Justify command.
  `ALIGN_LEFT`
  Align Left command.
  `ALIGN_RIGHT`
  Align Right command.
  `BACKGROUND_COLOR`
  Background color command.
  `BOLD`
  Bold command.
  `BULLETS`
  Insert bullets command.
  `COPY`
  Copy command.
  `CUT`
  Cut command.
  `FONT_FAMILY`
  Font name command.
  `FONT_SIZE`
  Font size command.
  `FOREGROUND_COLOR`
  Foreground color command.
  `FORMAT`
  Format command.
  `INDENT`
  Indent command.
  `INSERT_HORIZONTAL_RULE`
  Command to insert horizontal rule.
  `INSERT_NEW_LINE`
  Insert newline command.
  `INSERT_TAB`
  Insert tab command.
  `ITALIC`
  Italic command.
  `NUMBERS`
  Insert numbers command.
  `OUTDENT`
  Outdent command.
  `PASTE`
  Paste command.
  `REDO`
  Redo command.
  `STRIKETHROUGH`
  Strikethrough command.
  `STYLEWITHCSS`
  Style with CSS command.
  `UNDERLINE`
  Underline command.
  `UNDO`
  Undo command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommand()`
  Gets the name of this command.
  `static HTMLEditorSkin.Command`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HTMLEditorSkin.Command[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CUT

    public static final HTMLEditorSkin.Command CUT
    Cut command.

  - ### COPY

    public static final HTMLEditorSkin.Command COPY
    Copy command.

  - ### PASTE

    public static final HTMLEditorSkin.Command PASTE
    Paste command.

  - ### UNDO

    public static final HTMLEditorSkin.Command UNDO
    Undo command.

  - ### REDO

    public static final HTMLEditorSkin.Command REDO
    Redo command.

  - ### INSERT_HORIZONTAL_RULE

    public static final HTMLEditorSkin.Command INSERT_HORIZONTAL_RULE
    Command to insert horizontal rule.

  - ### ALIGN_LEFT

    public static final HTMLEditorSkin.Command ALIGN_LEFT
    Align Left command.

  - ### ALIGN_CENTER

    public static final HTMLEditorSkin.Command ALIGN_CENTER
    Align Center command.

  - ### ALIGN_RIGHT

    public static final HTMLEditorSkin.Command ALIGN_RIGHT
    Align Right command.

  - ### ALIGN_JUSTIFY

    public static final HTMLEditorSkin.Command ALIGN_JUSTIFY
    Align Justify command.

  - ### BULLETS

    public static final HTMLEditorSkin.Command BULLETS
    Insert bullets command.

  - ### NUMBERS

    public static final HTMLEditorSkin.Command NUMBERS
    Insert numbers command.

  - ### INDENT

    public static final HTMLEditorSkin.Command INDENT
    Indent command.

  - ### OUTDENT

    public static final HTMLEditorSkin.Command OUTDENT
    Outdent command.

  - ### FORMAT

    public static final HTMLEditorSkin.Command FORMAT
    Format command.

  - ### FONT_FAMILY

    public static final HTMLEditorSkin.Command FONT_FAMILY
    Font name command.

  - ### FONT_SIZE

    public static final HTMLEditorSkin.Command FONT_SIZE
    Font size command.

  - ### BOLD

    public static final HTMLEditorSkin.Command BOLD
    Bold command.

  - ### ITALIC

    public static final HTMLEditorSkin.Command ITALIC
    Italic command.

  - ### UNDERLINE

    public static final HTMLEditorSkin.Command UNDERLINE
    Underline command.

  - ### STRIKETHROUGH

    public static final HTMLEditorSkin.Command STRIKETHROUGH
    Strikethrough command.

  - ### FOREGROUND_COLOR

    public static final HTMLEditorSkin.Command FOREGROUND_COLOR
    Foreground color command.

  - ### BACKGROUND_COLOR

    public static final HTMLEditorSkin.Command BACKGROUND_COLOR
    Background color command.

  - ### STYLEWITHCSS

    public static final HTMLEditorSkin.Command STYLEWITHCSS
    Style with CSS command.

  - ### INSERT_NEW_LINE

    public static final HTMLEditorSkin.Command INSERT_NEW_LINE
    Insert newline command.

  - ### INSERT_TAB

    public static final HTMLEditorSkin.Command INSERT_TAB
    Insert tab command.

- ## Method Details

  - ### values

    public static HTMLEditorSkin.Command[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HTMLEditorSkin.Command valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCommand

    public String getCommand()
    Gets the name of this command.
    Returns:
      the name of this command